Recent

Author Topic: Lazarus 2.0.12 crash on MACOS 11.4  (Read 3326 times)

superc

  • Jr. Member
  • **
  • Posts: 91
Lazarus 2.0.12 crash on MACOS 11.4
« on: June 27, 2021, 03:53:44 pm »
Hello,
I've installed Lazarus with success with package, after installed library with online installer I riceved an error like this:

Application Specific Information:
/usr/lib/libcrypto.dylib
abort() called
Invalid dylib load. Clients should not load the unversioned libcrypto dylib as it does not have a stable ABI.



Also I can not uninstall Lazarus, I am not an expert on MACOS, something could give me what tip,

Thanks in advance.

superc

  • Jr. Member
  • **
  • Posts: 91
Re: Lazarus 2.0.12 crash on MACOS 11.4
« Reply #1 on: June 27, 2021, 04:47:23 pm »
ok, I copied lazarus.old to lazarus from ~/.lazarus/bin/; well, Lazarus restart correctly. I retry to install pl_synapseVS and BOOM same error.
Someone use pl_synapseVS on MAC??

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1684
  • Former Delphi 1-7, 10.2 user
Re: Lazarus 2.0.12 crash on MACOS 11.4
« Reply #2 on: July 25, 2021, 07:11:13 am »
Invalid dylib load. Clients should not load the unversioned libcrypto dylib as it does not have a stable ABI.

This is the problem; for more about it please read this Wiki link where I summarised the issue and solution.
Lazarus 2.3, FPC 3.3.1 macOS 12.0.1 x86_64 Xcode 13.1
Lazarus 2.3, FPC 3.3.1 macOS 12.0.1 aarch64 Xcode 13.1
Lazarus 2.3, FPC 3.2.2 FreeBSD 13.0 amd64 VM
Lazarus 2.3, FPC 3.2.2 FreeBSD 12.2 amd64 VM
Lazarus 2.1 r61574 FPC 3.0.4 Ubuntu 20.04 VM
Lazarus 2.0.10 FPC 3.2.0 Win10 VM

 

TinyPortal © 2005-2018